Package com.independentsoft.office.word.tables

# Class FloatingTablePositioning

java.lang.Object
com.independentsoft.office.word.tables.FloatingTablePositioning

public class FloatingTablePositioning extends Object
The Class FloatingTablePositioning.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FloatingTablePositioning()`
  Instantiates a new floating table positioning.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FloatingTablePositioning`
  `clone()`
  `int`
  `getAbsoluteHorizontalPosition()`
  Gets the absolute horizontal position.
  `int`
  `getAbsoluteVerticalPosition()`
  Gets the absolute vertical position.
  `int`
  `getBottomFromText()`
  Gets the bottom from text.
  `AnchorLocation`
  `getHorizontalAnchor()`
  Gets the horizontal anchor.
  `int`
  `getLeftFromText()`
  Gets the left from text.
  `HorizontalAlignmentLocation`
  `getRelativeHorizontalPosition()`
  Gets the relative horizontal position.
  `VerticalAlignmentLocation`
  `getRelativeVerticalPosition()`
  Gets the relative vertical position.
  `int`
  `getRightFromText()`
  Gets the right from text.
  `int`
  `getTopFromText()`
  Gets the top from text.
  `AnchorLocation`
  `getVerticalAnchor()`
  Gets the vertical anchor.
  `void`
  `setAbsoluteHorizontalPosition​(int absoluteHorizontalPosition)`
  Sets the absolute horizontal position.
  `void`
  `setAbsoluteVerticalPosition​(int absoluteVerticalPosition)`
  Sets the absolute vertical position.
  `void`
  `setBottomFromText​(int bottomFromText)`
  Sets the bottom from text.
  `void`
  `setHorizontalAnchor​(AnchorLocation horizontalAnchor)`
  Sets the horizontal anchor.
  `void`
  `setLeftFromText​(int leftFromText)`
  Sets the left from text.
  `void`
  `setRelativeHorizontalPosition​(HorizontalAlignmentLocation relativeHorizontalPosition)`
  Sets the relative horizontal position.
  `void`
  `setRelativeVerticalPosition​(VerticalAlignmentLocation relativeVerticalPosition)`
  Sets the relative vertical position.
  `void`
  `setRightFromText​(int rightFromText)`
  Sets the right from text.
  `void`
  `setTopFromText​(int topFromText)`
  Sets the top from text.
  `void`
  `setVerticalAnchor​(AnchorLocation verticalAnchor)`
  Sets the vertical anchor.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FloatingTablePositioning

    public FloatingTablePositioning()
    Instantiates a new floating table positioning.

- ## Method Details

  - ### clone

    public FloatingTablePositioning clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getBottomFromText

    public int getBottomFromText()
    Gets the bottom from text.
    Returns:
      the bottom from text

  - ### setBottomFromText

    public void setBottomFromText​(int bottomFromText)
    Sets the bottom from text.
    Parameters:
      `bottomFromText` - the new bottom from text

  - ### getTopFromText

    public int getTopFromText()
    Gets the top from text.
    Returns:
      the top from text

  - ### setTopFromText

    public void setTopFromText​(int topFromText)
    Sets the top from text.
    Parameters:
      `topFromText` - the new top from text

  - ### getLeftFromText

    public int getLeftFromText()
    Gets the left from text.
    Returns:
      the left from text

  - ### setLeftFromText

    public void setLeftFromText​(int leftFromText)
    Sets the left from text.
    Parameters:
      `leftFromText` - the new left from text

  - ### getRightFromText

    public int getRightFromText()
    Gets the right from text.
    Returns:
      the right from text

  - ### setRightFromText

    public void setRightFromText​(int rightFromText)
    Sets the right from text.
    Parameters:
      `rightFromText` - the new right from text

  - ### getAbsoluteHorizontalPosition

    public int getAbsoluteHorizontalPosition()
    Gets the absolute horizontal position.
    Returns:
      the absolute horizontal position

  - ### setAbsoluteHorizontalPosition

    public void setAbsoluteHorizontalPosition​(int absoluteHorizontalPosition)
    Sets the absolute horizontal position.
    Parameters:
      `absoluteHorizontalPosition` - the new absolute horizontal position

  - ### getRelativeHorizontalPosition

    public HorizontalAlignmentLocation getRelativeHorizontalPosition()
    Gets the relative horizontal position.
    Returns:
      the relative horizontal position

  - ### setRelativeHorizontalPosition

    public void setRelativeHorizontalPosition​(HorizontalAlignmentLocation relativeHorizontalPosition)
    Sets the relative horizontal position.
    Parameters:
      `relativeHorizontalPosition` - the new relative horizontal position

  - ### getAbsoluteVerticalPosition

    public int getAbsoluteVerticalPosition()
    Gets the absolute vertical position.
    Returns:
      the absolute vertical position

  - ### setAbsoluteVerticalPosition

    public void setAbsoluteVerticalPosition​(int absoluteVerticalPosition)
    Sets the absolute vertical position.
    Parameters:
      `absoluteVerticalPosition` - the new absolute vertical position

  - ### getRelativeVerticalPosition

    public VerticalAlignmentLocation getRelativeVerticalPosition()
    Gets the relative vertical position.
    Returns:
      the relative vertical position

  - ### setRelativeVerticalPosition

    public void setRelativeVerticalPosition​(VerticalAlignmentLocation relativeVerticalPosition)
    Sets the relative vertical position.
    Parameters:
      `relativeVerticalPosition` - the new relative vertical position

  - ### getHorizontalAnchor

    public AnchorLocation getHorizontalAnchor()
    Gets the horizontal anchor.
    Returns:
      the horizontal anchor

  - ### setHorizontalAnchor

    public void setHorizontalAnchor​(AnchorLocation horizontalAnchor)
    Sets the horizontal anchor.
    Parameters:
      `horizontalAnchor` - the new horizontal anchor

  - ### getVerticalAnchor

    public AnchorLocation getVerticalAnchor()
    Gets the vertical anchor.
    Returns:
      the vertical anchor

  - ### setVerticalAnchor

    public void setVerticalAnchor​(AnchorLocation verticalAnchor)
    Sets the vertical anchor.
    Parameters:
      `verticalAnchor` - the new vertical anchor